Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.configuration
Class WPVSConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wpvs.capabilities.WPVSCapabilitiesDocument
                          org.deegree.ogcwebservices.wpvs.configuration.WPVSConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class WPVSConfigurationDocument

extends WPVSCapabilitiesDocument

Parser for WPVS configuration documents.

Version:
  $Revision: 23585 $, $Date: 2010-04-13 14:07:18 +0200 (Di, 13. Apr 2010) $
Author:
  Judit Mays, last edited by: $Author: aschmitz $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OGCNS, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WPVSConfigurationDocument()`

Method Summary
`WPVSConfiguration` | `parseConfiguration()` Creates a class representation of the `WPVSConfiguration` document.

Methods inherited from class org.deegree.ogcwebservices.wpvs.capabilities.WPVSCapabilitiesDocument
`createEmptyDocument, getBoundingBoxes, getDCP, parseBoundingBox, parseCapabilities, parseCoordinateSystems, parseDataProvider, parseDatasetIdentifier, parseDatasetReferences, parseDimensions, parseFeatureListReferences, parseMetaData, parseOperationsMetadata, parseStyleIdentifier, parseStyles`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceIdentification, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WPVSConfigurationDocument

    public WPVSConfigurationDocument()

Method Detail

### parseConfiguration

    public WPVSConfiguration parseConfiguration()
                                         throws InvalidConfigurationException

  Creates a class representation of the `WPVSConfiguration` document.

  Returns:
    Returns a WPVSConfiguration object.
  Throws:
    `InvalidConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org